﻿
#myBtn {
    display: flex;
    position: fixed;
    bottom: 50px;
    right: 30px;
    height: 40px;
    z-index: 99;
    font-size: 18px;
    border: none;
    vertical-align: middle;
    outline: none;
    padding: 10px;
    background-color: transparent;
    background: rgba(0,0,0,0.2);
    color: white;
    cursor: pointer;
    border-radius: 2px;
    margin-bottom: -12rem;
    transition: 0.5s;
}

    #myBtn:hover {
        background: rgba(0,0,0,0.4);
    }

    #myBtn.active {
        margin-bottom: 0;
    }

html, body {
    height: 100%;
    background: url("/Image/login_bg.png") no-repeat;
    background-size: cover;
}

.parentDiv {
    height: 100vh;
    overflow: hidden;
    overflow-y: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 30px;
    padding-bottom: 30px;
    background-color: rgba(244,244,244, 0.9);
}

.childDiv {
    margin: auto;
    width:800px;
}

.strength-bar {
    height: 3px;
    margin-top: 10px;
    border-radius: 4px;
    background: #e0e0e0;
    overflow: hidden;
}

.strength-fill {
    height: 100%;
    width: 0;
    transition: .3s;
}

.message {
    margin-top: 5px;
    font-size: 10px;
}

.modal_full_ {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 162; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.5); /* Black w/ opacity */
}

.otp-container {
    width: fit-content;
    background: white;
    padding: 50px;;
    border-radius: 12px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    text-align: center;
}

    .otp-container h4 {
        margin-bottom: 10px;
        color: #333;
    }

    .otp-container p {
        color: #777;
        font-size: 14px;
        margin-bottom: 25px;
    }

.otp-inputs {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-bottom: 35px;
}

    .otp-inputs input {
        width: 45px;
        height: 55px;
        border: 2px solid #ddd;
        border-radius: 10px;
        text-align: center;
        font-size: 22px;
        font-weight: bold;
        outline: none;
        transition: 0.3s;
    }

        .otp-inputs input:focus {
            border-color: #007bff;
            box-shadow: 0 0 5px rgba(0,123,255,0.3);
        }

.verify-btn {
    width: 100%;
    padding: 14px;
    border: none;
    border-radius: 10px;
    background: #007bff;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: 0.3s;
}

    .verify-btn:hover {
        background: #0056b3;
    }

.resend {
    margin-top: 18px;
    font-size: 14px;
    color: #666;
}

    .resend a {
        color: #007bff;
        text-decoration: none;
        font-weight: bold;
    }

        .resend a:hover {
            text-decoration: underline;
        }

.modal-error {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: indianred;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-success {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: green;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-saving {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: dodgerblue;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.div-container {
    background-color: white;
    width: 800px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    padding: 0;
    transition: 0.5s;
    margin-bottom: 30px;
    box-sizing:border-box;
    min-height: 670px
}

.left-panel {
    background-color: rgba(1, 53, 111, 1);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0
}

#div-login-account {
    background-color: white;
    padding: 15px 30px;
}
#div-create-account {
    background-color: white;
    padding: 15px 30px;
}
.div-header {
    text-align: center;
    color: #25503E;
    font-weight: bold;
    margin-top: 50px;
    font-size: 16px;
    margin-bottom: 30px;
}

.label-remember {
    cursor: pointer;
    display: inline-block;
    color: dimgray;
    font-weight: normal;
    font-size: 12px;
}

.left-panel-logo {
    background-color: #ffffff;
    padding: 10px;
    border-radius: 15px;
}
    .left-panel-logo img {
        width: 250px;
        object-fit: cover
    }

    .blue-overlay {
        height: 100%;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: rgba(1, 53, 111, 0.76)
    }


#btn-create {
    background-color: #ffffff;
    outline: none;
    border: none;
    transition: 0.5s;
    display: inline-block;
    font-size: 12px;
    color: dodgerblue;
    font-weight: bold;
    cursor: pointer;
}



    #btn-create:hover {
        color: royalblue;
    }

.btn-green {
    height: 50px;
    background-color: #01356f;
    color: #ffffff;
    font-weight: bold;
    font-size: 16px;
    border: 1px solid #01356f;
    border-radius: 5px;
    width: 100%;
    transition: 0.5s;
    cursor: pointer;
}

    .btn-green:hover {
        color: #01356f;
        background-color: #ffffff;
    }
    .btn-green:active {
        background-color: #01356f;
        color: #ffffff;
    }

.btn-green-1 {
    height: 40px;
    background-color: #ffffff;
    color: #008080;
    font-weight: bold;
    font-size: 16px;
    border: 1px solid #25503E;
    border-radius: 5px;
    width: 100%;
    transition: 0.5s;
    cursor: pointer;
}

    .btn-green-1:hover {
        color: #ffffff;
        background-color: #25503E;
    }

#chk_remember {
    cursor: pointer;
    display: inline-block;
    margin-right: 5px;
    width: 15px;
    height: 15px;
    position: relative;
    top: 1px;
}

.modal-error {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: indianred;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-success {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: forestgreen;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-saving {
    border: 1px solid dimgray;
    min-width: 300px;
    max-height: 300px;
    background-color: dodgerblue;
    color: white;
    border-radius: 3px;
    max-width: 300px;
    display: block;
    position: fixed;
    text-align: center;
    top: 20px;
    padding: 15px;
    z-index: 1600;
    transition: 1.1s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fa-eye {
    color: #022255;
    cursor: pointer;
}

.show-pass {
    position: absolute;
    top: 6px;
    right: 4%;
    z-index: 1111;
}

.modal_full_ {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 162; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.5); /* Black w/ opacity */
}

.label-input {
    position: absolute;
    top: 13px;
    left: 10px;
    font-weight: normal;
    transition: 0.5s;
    user-select: none;
    cursor: text;
    background: #ffffff;
    padding-left: 5px;
    padding-right: 5px;
}

.entryarea {
    position: relative;
    height: 45px;
    line-height: 45px;
}

.input-area {
    min-height: 45px;
    position: absolute;
    width: 100%;
    outline: none;
    font-size: 14px;
    padding: 0 15px;
    line-height: 20px;
    border-radius: 5px;
    background-color: transparent;
    transition: 0.3s ease;
    border: 1px solid gainsboro;
    z-index: 1111;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
}

.input-error {
    border: 1px solid indianred;
}

.input-area:focus {
    border: 1px solid dodgerblue;
    box-shadow: 0 0 5px rgba(81, 203, 238, 1);
}

    .input-area:focus + .labelline, .input-area:valid + .labelline {
        z-index: 1111;
        top: 7px;
        padding-left: 9px;
        padding-right: 9px;
        padding-bottom: -10px;
        padding-top: 0px;
        line-height: 20px;
        background-color: #ffffff;
        margin: 0 18px;
        transform: translate(-15px,-16px) scale(0.88);
    }

.labelline {
    position: absolute;
    font-size: 14px;
    padding: 0 5px;
    margin: 0 10px;
    color: dimgray;
    transition: 0.3s ease;
    user-select: none;
    background-color: transparent;
}

.btn-cancel {
    height: 40px;
    background-color: #ffffff;
    color: dimgray;
    font-weight: bold;
    font-size: 16px;
    border: 1px solid dimgray;
    border-radius: 5px;
    width: 100%;
    transition: 0.5s;
    cursor: pointer;
}

    .btn-cancel:hover {
        background-color: gainsboro;
    }

@media only screen and (max-width: 850px) {
    .childDiv {
        width: 400px !important;
        height: auto !important;
    }

    .parentDiv {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .left-panel {
        display: none;
    }

    .div-container {
        width: 400px;
    }
}
